import { connect } from 'react-redux'
import Preview from '../components/Preview'
import { markdown } from 'markdown'

function getMarkdownHTML(mdtext) {
  return markdown.toHTML(mdtext)
}

const mapStateToProps = (state) => {
  return {html: getMarkdownHTML(state.mdtext)}
}

const MarkdownPreview = connect(mapStateToProps)(Preview)

export default MarkdownPreview
